/*----- PROTECTED REGION ID(Serial2StateMachine.cpp) ENABLED START -----*/
//=============================================================================
//
// file :        Serial2StateMachine.cpp
//
// description : State machine file for the Serial2 class
//
// project :     
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author: alessio $
//
// $Revision: 1.3 $
// $Date: 2017-12-21 15:35:39 $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <Serial2.h>

/*----- PROTECTED REGION END -----*/	//	Serial2::Serial2StateMachine.cpp

//================================================================
//  States   |  Description
//================================================================
//  ON       |  Connected
//  INIT     |  
//  UNKNOWN  |  
//  ALARM    |  
//  FAULT    |  


namespace Serial2_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_InputLength_allowed()
 *	Description: Execution allowed for InputLength attribute
 */
//--------------------------------------------------------
bool Serial2::is_InputLength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for InputLength attribute in read access.
	/*----- PROTECTED REGION ID(Serial2::InputLengthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::InputLengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_OutputLength_allowed()
 *	Description: Execution allowed for OutputLength attribute
 */
//--------------------------------------------------------
bool Serial2::is_OutputLength_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for OutputLength attribute in read access.
	/*----- PROTECTED REGION ID(Serial2::OutputLengthStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::OutputLengthStateAllowed_READ
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_Reconnections_allowed()
 *	Description: Execution allowed for Reconnections attribute
 */
//--------------------------------------------------------
bool Serial2::is_Reconnections_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for Reconnections attribute in read access.
	/*----- PROTECTED REGION ID(Serial2::ReconnectionsStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::ReconnectionsStateAllowed_READ
	return true;
}


//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_Write_allowed()
 *	Description: Execution allowed for Write attribute
 */
//--------------------------------------------------------
bool Serial2::is_Write_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Write command.
	/*----- PROTECTED REGION ID(Serial2::WriteStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::WriteStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_Read_allowed()
 *	Description: Execution allowed for Read attribute
 */
//--------------------------------------------------------
bool Serial2::is_Read_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for Read command.
	/*----- PROTECTED REGION ID(Serial2::ReadStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::ReadStateAllowed
	return true;
}

//--------------------------------------------------------
/**
 *	Method     : Serial2::is_ReadUntil_allowed()
 *	Description: Execution allowed for ReadUntil attribute
 */
//--------------------------------------------------------
bool Serial2::is_ReadUntil_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ReadUntil command.
	/*----- PROTECTED REGION ID(Serial2::ReadUntilStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Serial2::ReadUntilStateAllowed
	return true;
}


/*----- PROTECTED REGION ID(Serial2::Serial2StateAllowed.AdditionalMethods) ENABLED START -----*/

//	Additional Methods

/*----- PROTECTED REGION END -----*/	//	Serial2::Serial2StateAllowed.AdditionalMethods

}	//	End of namespace
